MappableBpGraphComponent< BAS >::RedNodeMap< V > Class Template Reference

- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions | Private Member Functions
MappableBpGraphComponent< BAS >::RedNodeMap< V > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
template<typename V>
class lemon::concepts::MappableBpGraphComponent< BAS >::RedNodeMap< V >

Standard graph map for the red nodes. It conforms to the ReferenceMap concept.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for MappableBpGraphComponent< BAS >::RedNodeMap< V >:
[legend]

## Public Member Functions
| RedNodeMap (const MappableBpGraphComponent &graph)
| Construct a new map. More...
| RedNodeMap (const MappableBpGraphComponent &graph, const V &value)
| Construct a new map with default value. More...
Public Member Functions inherited from GraphMap< MappableBpGraphComponent, Node, V >
| GraphMap (const MappableBpGraphComponent &)
| Construct a new map. More...
| GraphMap (const MappableBpGraphComponent &, const Value &)
| Construct a new map with default value. More...
Public Member Functions inherited from ReferenceMap< Node, V, V &, const V & >
Reference | operator[] (const Key &)
| Returns a reference to the value associated with the given key.
ConstReference | operator[] (const Key &) const
| Returns a const reference to the value associated with the given key.
void | set (const Key &k, const Value &t)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadWriteMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
Public Member Functions inherited from ReadMap< K, T >
Value | operator[] (const Key &) const
| Returns the value associated with the given key.
Public Member Functions inherited from WriteMap< K, T >
void | set (const Key &, const Value &)
| Sets the value associated with the given key.
| WriteMap ()
| Default constructor.

## Private Member Functions
| RedNodeMap (const RedNodeMap &nm)
| Copy constructor. More...
template<typename CMap >
RedNodeMap & | operator= (const CMap &)
| Assignment operator. More...

## Additional Inherited Members
Public Types inherited from GraphMap< MappableBpGraphComponent, Node, V >
typedef Node | Key
| The key type of the map.
typedef V | Value
| The value type of the map.
typedef Value & | Reference
| The reference type of the map.
typedef const Value & | ConstReference
| The const reference type of the map.
Public Types inherited from ReferenceMap< Node, V, V &, const V & >
typedef True | ReferenceMapTag
| Tag for reference maps.
typedef Node | Key
| The key type of the map.
typedef V | Value
| The value type of the map. (The type of objects associated with the keys).
typedef V & | Reference
| The reference type of the map.
typedef const V & | ConstReference
| The const reference type of the map.
Public Types inherited from ReadWriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from ReadMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).
Public Types inherited from WriteMap< K, T >
typedef K | Key
| The key type of the map.
typedef T | Value
| The value type of the map. (The type of objects associated with the keys).

## Constructor & Destructor Documentation

RedNodeMap | ( | const MappableBpGraphComponent & | graph | ) |
| inlineexplicit

Construct a new map for the graph.

RedNodeMap | ( | const MappableBpGraphComponent & | graph,
|  | const V & | value
| ) |  |
| inline

Construct a new map for the graph and initalize the values.

RedNodeMap | ( | const RedNodeMap< V > & | nm | ) |
| inlineprivate

Copy Constructor.

## Member Function Documentation

RedNodeMap& operator= | ( | const CMap & |  | ) |
| inlineprivate

Assignment operator.